Bug 7900 - Editor needs an email log.
Editor needs an email log.
Status: NEW
Product: OMP
Classification: Unclassified
Component: Editors
1.1.1
All All
: P3 normal
Assigned To: beghelli
: 8456 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 10:17 PDT by Alec Smecher
Modified: 2014-10-27 17:26 PDT (History)
3 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2012-09-14 10:17:43 PDT
Editor needs an email log. (Consider also implicit ways of doing this, e.g. having clickable entries in the event log for emails.)
Comment 1 Alec Smecher 2013-11-20 14:56:11 PST
*** Bug 8456 has been marked as a duplicate of this bug. ***
Comment 2 Alec Smecher 2013-12-12 09:40:05 PST
Deferring (probably impacted by UI/UX)
Comment 3 Michael Thessel 2014-09-19 19:01:09 PDT
Implemented this:
https://github.com/pkp/omp/pull/49
https://github.com/pkp/pkp-lib/pull/182

Bruno, over to you for review.
Comment 4 Michael Thessel 2014-09-25 16:41:09 PDT
Bruno, I added the items discussed in the UX review. I didn't add the close button. In fact I couldn't find a close button used anywhere. I noticed that in forms we have a cancel link on the bottom left but this won't be applicable here. I will look into the dropshadow issue in a separate ticket as this is a general UI issue.

Over to you for review.
Comment 5 Michael Thessel 2014-10-14 16:20:40 PDT
For reference, Alec created a ticket for the modal in modal shadow issue. #8681
Comment 6 Michael Thessel 2014-10-14 18:06:57 PDT
Bruno, I fixed the overlay issue in 8681 as well. This depends now 8681 being merged first.
Comment 7 beghelli 2014-10-27 05:44:28 PDT
Reviewed.
Comment 8 Michael Thessel 2014-10-27 13:42:41 PDT
Bruno, thanks for reviewing. I fixed the issues you pointed out. I left the one assert() as it is, as it basically just extended on the way it was handled before. Other than that I implemented all your suggested changes.

https://github.com/pkp/pkp-lib/pull/182
https://github.com/pkp/omp/pull/49
Comment 9 beghelli 2014-10-27 17:26:23 PDT
Michael, if we are going to use the getAssocId from any object, it is always good to check the assoc type, otherwise we might end up using the id from a different object. That's why I said to check the assoc type there, because you use the assoc id expecting it to be an id from a submission.